from django.contrib import admin
from django.contrib.gis.admin import GISModelAdmin

from .models import *

@admin.register(Marker)
class MarkerAdmin(GISModelAdmin):
  list_display = ["timestamp", "location", "alt", "hdop", "speed"]

@admin.register(Trip)
class TripAdmin(admin.ModelAdmin):
  list_display = ["name", "description", "startTime", "totalTime", "color", "distance"]
  readonly_fields = ["path", "distance", "topSpeed", "avgSpeed", "ascendHeight", "descendHeight", "movementTime", "totalTime", "center", "line"]
  exclude = ["path"]
@admin.register(CensoredLocation)
class CensoredLocationAdmin(GISModelAdmin):
  list_display = ["name", "location", "radius"]
